CMSTimeStampedDataGeneratorTest (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.tsp.test

## Class CMSTimeStampedDataGeneratorTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.tsp.test.CMSTimeStampedDataGeneratorTest

- All Implemented Interfaces:
    junit.framework.Test

      public class CMSTimeStampedDataGeneratorTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMSTimeStampedDataGeneratorTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `protected void` | `tearDown()`
    `void` | `testGenerate()`
    `void` | `testGenerateWithMetadata()`
    `void` | `testGenerateWithMetadataAndDifferentAlgorithmIdentifier()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CMSTimeStampedDataGeneratorTest

          public CMSTimeStampedDataGeneratorTest()

  - ### Method Detail

    - #### setUp

          protected void setUp()
                        throws java.lang.Exception

      Overrides:
        `setUp` in class `junit.framework.TestCase`
      Throws:
        `java.lang.Exception`

    - #### tearDown

          protected void tearDown()
                           throws java.lang.Exception

      Overrides:
        `tearDown` in class `junit.framework.TestCase`
      Throws:
        `java.lang.Exception`

    - #### testGenerate

          public void testGenerate()
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testGenerateWithMetadata

          public void testGenerateWithMetadata()
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testGenerateWithMetadataAndDifferentAlgorithmIdentifier

          public void testGenerateWithMetadataAndDifferentAlgorithmIdentifier()
                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`